﻿/*!
 * Error Added Responsive styles
 */

@media (min-width: 981px) and (max-width: 1199px) {
    body div.back-txt.error-404 span {
        font-size: 450px;
        line-height: 265px;
    }

    body div.back-txt.error-generic span {
        font-size: 400px;
        line-height: 240px;
    }

    section.error .error-desc span {
        font-size: 26px;
    }

    section.error .error-desc p {
        font-size: 22px;
    }
}

@media (max-width: 980px) {
    body div.back-txt.error-404 span {
        font-size: 300px;
        line-height: 180px;
    }

    body div.back-txt.error-generic span {
        font-size: 300px;
        line-height: 180px;
    }

    section.error {
        margin: 10% 0 0;
    }

    section.error .error-desc span {
        font-size: 26px;
    }

    section.error .error-desc p {
        font-size: 22px;
    }
}

@media (max-width: 767px) {
    body div.back-txt.error-generic span {
        font-size: 250px;
        line-height: 150px;
    }
    section.error .error-num {
        text-align: center;
        width: 100%;
    }

    section.error .error-num h1, section.error .error-num.error-generic h1 {
        font-size: 180px;
        margin: 0 0 15% 0;
    }

    section.error .error-desc {
        margin: 0 10%;
        width: 80%;
    }

    section.error .error-desc p {
        font-size: 18px;
    }
}

@media (max-width: 480px) {
    body div.back-txt.error-404 span {
        font-size: 200px;
        line-height: 120px;
    }

    body div.back-txt.error-generic span {
        font-size: 135px;
        line-height: 80px;
    }

    section.error .error-num h1, section.error .error-num.error-generic h1 {
        font-size: 120px;
    }

    section.error .error-desc span {
        font-size: 22px;
    }

    section.error .error-desc {
        margin: 0 5%;
        width: 90%;
    }

    section.error .error-desc p {
        font-size: 16px;
        line-height: 1.5;
    }
}
